package com.fastbee.iot.haiwei.service;

import com.fastbee.common.core.domain.CommonResult;
import com.fastbee.iot.model.haiwei.CmdHaiWeiVo;
import com.fastbee.iot.model.haiwei.HaiWeiDeviceInfoVo;
import com.fastbee.iot.model.haiwei.HaiWeiVo;
import com.fastbee.iot.model.haiwei.dto.CmdHaiWeiDto;

import java.util.List;

public interface HaiWeiService {

    CommonResult<List<HaiWeiVo>> getHaiWeiDevices();

    CommonResult<HaiWeiDeviceInfoVo> getCache(Long deviceId);

    CommonResult<CmdHaiWeiVo> cmdDevices(CmdHaiWeiDto cmdGrmDeviceDto);
}
